Bug 1852056 - Change the etcd health check timeout in kube-apiserver to 10s
Summary: Change the etcd health check timeout in kube-apiserver to 10s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Abu Kashem
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1852047 1852058
TreeView+ depends on / blocked
 
Reported: 2020-06-29 16:26 UTC by Abu Kashem
Modified: 2020-10-27 16:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1852058 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:10:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25219 0 None closed UPSTREAM: <carry>: Bug 1852056: change etcd health check timeout to 10s 2020-10-08 17:57:52 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:10:55 UTC

Description Abu Kashem 2020-06-29 16:26:55 UTC
Description of problem:
Currently the etcd health check timeout inside kube-apiserver is hard coded to `2s`. This is very aggressive, change the timeout to 10s

This should help the upgrade failures we are seeing in Azure - https://bugzilla.redhat.com/show_bug.cgi?id=1852047

Comment 3 Xingxing Xia 2020-07-01 11:29:04 UTC
Checked the PR which only has one change from 2 seconds to 10 seconds. Also researched the Azure upgrade bug comments for some background. For this 1852056 bug code change, no test action from QE. Thus could move to VERIFIED so that the backport can go on and then we can watch more CI results for the Azure upgrade bug if the situation is improved. BTW from the Azure upgrade bug comments mentioning throttling, remember bug 1835686 reported requests complained lots of throttling logs too, not sure if have some correlation.

Comment 5 errata-xmlrpc 2020-10-27 16:10:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.